Upgrade 3.0 -> 3.2 -> 3.3

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

The upgrade is in progress 3.0 -> 3.2 and gives an error. What could be wrong? Maybe try 3.0 -> 3.3?
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/
SQL error.JPG
User avatar
Crizzo
Translations & International Support Teams Manager
Translations & International Support Teams Manager
Posts: 1307
Joined: Thu Apr 23, 2009 1:20 pm
Location: Stuttgart, Germany
Name: Christian
Contact:

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Crizzo »

Hi,


looks like your MySQL server had a timeout or blackout and so the conversion was aborted. :)
My extensions for phpBB: crizzo.de
German phpBB Support at www.phpbb.de
User avatar
warmweer
Jr. Extension Validator
Posts: 5825
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by warmweer »

Exabot wrote:
Fri Aug 14, 2020 6:28 am
The upgrade is in progress 3.0 -> 3.2 and gives an error. What could be wrong? Maybe try 3.0 -> 3.3?
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/
SQL error.JPG
Seeing you started from 3.0.9 or even earlier, and are already getting a timeout I'ld strongly advise to
a) update to 3.0.14 and use the Support Toolkit to make sure the starting point (either your initial 3.0.x or 3.0.14) is perfectly clean
b) upgrade on personal webserver, perhaps even in steps (3.0.14 > 3.1.12 > 3.2.10)
c) seeing the early timeout, probably CLI will be the only way
d) in any case: truncate the search tables (and repopulate those after succesful upgrade to the version you intend (I do suggest 3.3).

What's the size of your database?
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

Looks like the error is still somewhere in the files... I get the same error all the time. I'll try to upgrade from 3.0 to 3.1 later.
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

warmweer wrote:
Fri Aug 14, 2020 6:54 am
Exabot wrote:
Fri Aug 14, 2020 6:28 am
The upgrade is in progress 3.0 -> 3.2 and gives an error. What could be wrong? Maybe try 3.0 -> 3.3?
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/
SQL error.JPG
Seeing you started from 3.0.9 or even earlier, and are already getting a timeout I'ld strongly advise to
a) update to 3.0.14 and use the Support Toolkit to make sure the starting point (either your initial 3.0.x or 3.0.14) is perfectly clean
b) upgrade on personal webserver, perhaps even in steps (3.0.14 > 3.1.12 > 3.2.10)
c) seeing the early timeout, probably CLI will be the only way
d) in any case: truncate the search tables (and repopulate those after succesful upgrade to the version you intend (I do suggest 3.3).

What's the size of your database?
I thought about doing the same. Thanks!
Database is 2.22GB
User avatar
Crizzo
Translations & International Support Teams Manager
Translations & International Support Teams Manager
Posts: 1307
Joined: Thu Apr 23, 2009 1:20 pm
Location: Stuttgart, Germany
Name: Christian
Contact:

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Crizzo »

Uh, that is to big for the web gui update.

I would recommend to use the CLI for the update. It can take like 2-4h with that size.
My extensions for phpBB: crizzo.de
German phpBB Support at www.phpbb.de
User avatar
warmweer
Jr. Extension Validator
Posts: 5825
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by warmweer »

Exabot wrote:
Fri Aug 14, 2020 7:04 am
Database is 2.22GB
Yeah, I suspected it was an egg from an ostrich and not a robin. ;)
As Crizzo stated: forget about the standard update method and even web update.

It is going to take long whichever way so using the Support Toolkit first is almost imperative. You do not want to have it run for a couple of hours only to find out it failed because of some remaining modification or missing database item.
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

I managed to install a new backup, but now the STK can't work...
stk.png
template.php
Screenshot 2020-08-15 at 10.25.36.png
User avatar
Mick
Support Team Member
Support Team Member
Posts: 22919
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket probably.

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Mick »

If you’re talking about the board in your signature then the STK won’t work, it’s for 3.0 only unfortunately.

I see some issues with your cookies that may, or may not, be part of the issue.

The cookie domain is showing phpbbeesti.ee and it should be .phpbbeesti.ee, note the leading dot. Cookie secure needs enabling as you’re using https.

See Knowledge Base - Fixing incorrect cookie settings
"The more connected we get the more alone we become" - Kyle Broflovski©
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

This is not this forum.

Thank you for your attention. I'll change right now.
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

The only MOD is Tapatalk, which would need to be deleted.
Screenshot 2020-08-15 at 10.48.17.png
User avatar
ssl
Registered User
Posts: 312
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by ssl »

Mick wrote:
Sat Aug 15, 2020 7:36 am
If you’re talking about the board in your signature then the STK won’t work, it’s for 3.0 only unfortunately.
Hi
I use STK on a forum in version 3.3.1, download here : https://github.com/AlexSheer/phpBB3.2-STK
Sorry for my English ... I do my best!
User avatar
Lumpy Burgertushie
Registered User
Posts: 68286
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Lumpy Burgertushie »

notice that says it is for version 3.2 not 3.3
it may not work at all or some parts of it may not work.

the STK has to be for the same version as the board or it will not work properly if at all.

robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
User avatar
ssl
Registered User
Posts: 312
Joined: Sat Feb 08, 2020 2:15 pm
Location: France
Name: Fred
Contact:

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by ssl »

I know, but I use it on a version 3.3.1 forum without any problem. Then it is possible that all the functions are not all compatible.
Deactivating / Activating extensions is not a problem, adding users either.
Sorry for my English ... I do my best!
Exabot
Translator
Posts: 211
Joined: Sun Jan 18, 2015 8:21 pm
Location: Estonia

Re: Upgrade 3.0 -> 3.2 -> 3.3

Post by Exabot »

Updating phpBB using the CLI and errors only...
In one virtual server:
Screenshot 2020-08-16 at 10.15.57.png
And another virtual server:
Screenshot 2020-08-16 at 12.22.16.png
Premissions:
Screenshot 2020-08-16 at 12.26.11.png
Can anyone suggest anything?
Post Reply

Return to “[3.3.x] Support Forum”